CREATE TABLE egp_item_intf_text (
    ID_TYPE                    VARCHAR2(120)     NOT NULL,
    LANGUAGE                   VARCHAR2(16)  ,
    SOURCE_LANG                VARCHAR2(16)      NOT NULL,
    SOURCE_SYSTEM_ID           NUMBER(18, 0) ,
    SOURCE_SYSTEM_REFERENCE    VARCHAR2(1020),
    ORGANIZATION_ID            NUMBER(18, 0) ,
    TEXT                       VARCHAR2(4)   ,
    ITEM_CATALOG_GROUP_ID      NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    PROGRAM_NAME               VARCHAR2(120) ,
    PROGRAM_APP_NAME           VARCHAR2(200) ,
    ID_TYPE                    VARCHAR2(120)     NOT NULL,
    LANGUAGE                   VARCHAR2(16)  ,
    SOURCE_LANG                VARCHAR2(16)      NOT NULL,
    SOURCE_SYSTEM_ID           NUMBER(18, 0) ,
    SOURCE_SYSTEM_REFERENCE    VARCHAR2(1020),
    ORGANIZATION_ID            NUMBER(18, 0) ,
    TEXT                       VARCHAR2(4)   ,
    ITEM_CATALOG_GROUP_ID      NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    PROGRAM_NAME               VARCHAR2(120) ,
    PROGRAM_APP_NAME           VARCHAR2(200) ,
    CONSTRAINT pk_egp_item_intf_text PRIMARY KEY (LANGUAGE, SOURCE_SYSTEM_ID, SOURCE_SYSTEM_REFERENCE, ORGANIZATION_ID, LANGUAGE, SOURCE_SYSTEM_ID, SOURCE_SYSTEM_REFERENCE, ORGANIZATION_ID)
);
